com.amazonaws.services.codedeploy.model

## Enum AutoRollbackEvent

- java.lang.Object
- - java.lang.Enum<AutoRollbackEvent>
  - - com.amazonaws.services.codedeploy.model.AutoRollbackEvent

All Implemented Interfaces:
  Serializable, Comparable<AutoRollbackEvent>

    public enum AutoRollbackEvent
    extends Enum<AutoRollbackEvent>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEPLOYMENT_FAILURE`
`DEPLOYMENT_STOP_ON_ALARM`
`DEPLOYMENT_STOP_ON_REQUEST`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AutoRollbackEvent` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static AutoRollbackEvent` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AutoRollbackEvent[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEPLOYMENT_FAILURE

    public static final AutoRollbackEvent DEPLOYMENT_FAILURE

#### DEPLOYMENT_STOP_ON_ALARM

    public static final AutoRollbackEvent DEPLOYMENT_STOP_ON_ALARM

#### DEPLOYMENT_STOP_ON_REQUEST

    public static final AutoRollbackEvent DEPLOYMENT_STOP_ON_REQUEST

### Method Detail

#### values

    public static AutoRollbackEvent[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AutoRollbackEvent c : AutoRollbackEvent.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AutoRollbackEvent valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<AutoRollbackEvent>`

#### fromValue

    public static AutoRollbackEvent fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  AutoRollbackEvent corresponding to the value